Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRBaseValueParameter

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRParameterDecorator
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRBaseValueParameter

All Implemented Interfaces:
  net.sf.jasperreports.engine.JRParameter, net.sf.jasperreports.engine.JRPropertiesHolder, net.sf.jasperreports.engine.JRValueParameter

    public class JRBaseValueParameter

extends JRParameterDecorator
implements net.sf.jasperreports.engine.JRValueParameter

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRParameter
`IS_IGNORE_PAGINATION, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_DATA_SOURCE, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER`

Constructor Summary
`JRBaseValueParameter(net.sf.jasperreports.engine.JRParameter parameter, java.lang.Object value)`

Method Summary
`java.lang.Object` | `getValue()`

Methods inherited from class com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRParameterDecorator
`getDecorated, getDefaultValueExpression, getDescription, getName, getPropertiesMap, getValueClass, getValueClassName, isForPrompting, isSystemDefined, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRParameter
`getDefaultValueExpression, getDescription, getName, getValueClass, getValueClassName, isForPrompting, isSystemDefined, setDescription`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getPropertiesMap`

Constructor Detail

### JRBaseValueParameter

    public JRBaseValueParameter(net.sf.jasperreports.engine.JRParameter parameter,
                                java.lang.Object value)

Method Detail

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in interface `net.sf.jasperreports.engine.JRValueParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.